Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056544 - migration with inactive iso attached will fail in rhevm-3.2 env
Summary: migration with inactive iso attached will fail in rhevm-3.2 env
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: nobody nobody
QA Contact: meital avital
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 12:40 UTC by Shanzhi Yu
Modified: 2014-09-28 06:38 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-25 09:22:51 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
VDSM log (deleted)
2014-01-22 12:53 UTC, Shanzhi Yu
no flags Details

Description Shanzhi Yu 2014-01-22 12:40:35 UTC
Description of problem:

migration with inactive iso attached will fail in rhevm-3.2 env

Version-Release number of selected component (if applicable):

vdsm-4.10.2-30.0.el6ev.x86_64
libvirt-0.10.2-29.el6_5.3.x86_64
qemu-kvm-rhev-0.12.1.2-2.415.el6_5.3.x86_64
spice-server-0.12.4-6.el6_5.1.x86_64

How reproducible:

100%


Steps to Reproduce:
1.Make sure you have a iso domain which is in active status

2.Upload an iso file to this domain with command

rhevm-iso-uploader -i iso-domain -u admin@internal -r 127.0.0.1:8443 upload /var/lib/libvirt/images/virtio-win-1.4.0.iso

3.Start a spice domain with attach this iso file on Boot Options and open spice console

4.Inactive iso domain

5.Do migration

Actual results:

The migration will fail

Expected results:

The migration should succeed without any error.

Additional info:

Comment 1 Shanzhi Yu 2014-01-22 12:53:40 UTC
Created attachment 853858 [details]
VDSM log

Comment 2 Luwen Su 2014-01-23 02:15:27 UTC
I also reproduced it with a iscsi storage under vdsm-4.10.2-30.1.el6ev.x86_64.

Catch something like:
17:20:31,146::BindingXMLRPC::72::vds:threaded_start) xml-rpc handler exception
SSLError: sslv3 alert certificate unknown

The issue disappears  once i downgrade vdsm to vdsm-4.10.2-28.0.el6ev.x86_64.

Comment 3 Michal Skrivanek 2014-01-27 09:34:14 UTC
the attached log doesn't contain a migration attempt. Please attache more relevant log.
What's the selinux status on src and dst host?

Comment 4 min zhan 2014-01-28 10:37:24 UTC
As shyu take leave for China Spring Festival, change to lsu for needinfo.

Comment 5 Luwen Su 2014-01-29 07:35:12 UTC
I have a try with my own rhevm server 3.2 and all latest 6.5.z packages, but can't reproduce it.
I need wait shyu back and ask him how he config the env.
So keep the NEEDINFO flag.

Comment 6 Omer Frenkel 2014-02-17 10:46:20 UTC
hi, were you able to reproduce?

Comment 7 Shanzhi Yu 2014-02-17 11:09:09 UTC
(In reply to Omer Frenkel from comment #6)
> hi, were you able to reproduce?

Hi Omer,
I try several times, but fail to reproduce it also.

Comment 8 Omer Frenkel 2014-02-25 09:22:51 UTC
ok, thanks!
closing as works, please re-open if it happens again


Note You need to log in before you can comment on or make changes to this bug.